{
    "path": "$OET_PATH/testcases/function_test/pkg_test/glade3/glade3",
    "machine num": 1,
    "cases": [
        {
            "name": "test_glade3_install",
            "desc": "测试glade3软件包的安装功能，验证安装过程是否成功。",
            "machine num": 1
        },
        {
            "name": "test_glade3_glade-3__h",
            "desc": "测试 glade-3 命令的 -h 参数，显示帮助选项"
        },
        {
            "name": "test_glade3_glade-3__help_all",
            "desc": "测试 glade-3 命令的 --help-all 参数，显示所有帮助选项"
        },
        {
            "name": "test_glade3_glade-3__help_debug",
            "desc": "测试 glade-3 命令的 --help-debug 参数，显示 Glade 调试选项"
        },
        {
            "name": "test_glade3_glade-3__help_gtk",
            "desc": "测试 glade-3 命令的 --help-gtk 参数，显示 GTK+ 选项"
        },
        {
            "name": "test_glade3_glade-3__version",
            "desc": "测试 glade-3 命令的 --version 参数，输出版本信息并退出"
        },
        {
            "name": "test_glade3_glade-3__without_devhelp",
            "desc": "测试 glade-3 命令的 --without-devhelp 参数，禁用 Devhelp 集成"
        },
        {
            "name": "test_glade3_glade-3__display_upper_display",
            "desc": "测试 glade-3 命令的 --display=DISPLAY 参数，指定使用的 X display"
        },
        {
            "name": "test_glade3_function_ui_design",
            "desc": "Test the UI design functionality of glade3."
        },
        {
            "name": "test_glade3_function_widgets",
            "desc": "Test the widgets functionality in glade3."
        },
        {
            "name": "test_glade3_function_save_project",
            "desc": "Test saving a project in glade3."
        },
        {
            "name": "test_glade3_function_open_project",
            "desc": "Test opening a project in glade3."
        },
        {
            "name": "test_glade3_function_preview",
            "desc": "Test the preview functionality in glade3."
        }
    ]
}